package com.example.rpobnic;

import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;
import android.util.Base64;

import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import android.graphics.BitmapFactory;

import java.util.List;

public class Adapter extends BaseAdapter {

private Context context;
List<Maska> maskaList;

    public Adapter(Context context, List<Maska>  maskaList) {
        this.context = context;
        this.maskaList = maskaList;
    }

    @Override
    public int getCount() {
        return maskaList.size();
    }

    @Override
    public Object getItem(int i) {
        return maskaList.get(i);
    }

    @Override
    public long getItemId(int i) {
        return maskaList.get(i).getIdKinoAndSerial();
    }

    private Bitmap getImageKino(String img)
    {
        byte [] bytes;
        if(img!=null&& !img.equals("null"))
        {
            bytes=Base64.decode(img,Base64.DEFAULT);
            return BitmapFactory.decodeByteArray(bytes,0,bytes.length);
        }
        else
        {
            return  BitmapFactory.decodeResource(context.getResources(),R.drawable.picture);
        }
    }


    @Override
    public View getView(int i, View view, ViewGroup viewGroup) {
       View v=View.inflate(context,R.layout.maska_kino,null);
       ImageView Imag=v.findViewById(R.id.ImageKino);

        TextView name=v.findViewById(R.id.kino);
        TextView ganra=v.findViewById(R.id.ganr);
        TextView yearkino=v.findViewById(R.id.year);

        Maska maska=maskaList.get(i);
        name.setText(maska.getName());
        ganra.setText(maska.getOsnovnoeGanr());
        yearkino.setText(Integer.toString(maska.getYearKinoAndSerial()));
        Imag.setImageBitmap(getImageKino(maska.getPhotoKinoAndSerial()));
        v.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent intent=new Intent(context,Update_delet.class);
                intent.putExtra("sushi",maska);
                context.startActivity(intent);
            }
        });
        return v;

    }
}
